#pragma once
#include "MemBC.hpp"

class MemBC3 : public MemBC
{
public:
  MemBC3() : m_romReg(1), m_ramReg(0) {}

  int romNumber() const final;
  int ramNumber() const final;

  void controllWrite(GBPtr ptr, GBByte data) final;

private:
  uint8_t m_romReg;
  uint8_t m_ramReg;
};