#pragma once
#include "MemBC.hpp"

class MemBC5 : public MemBC
{
public:
  MemBC5() : m_reg(0) {}

  int romNumber() const final;
  int ramNumber() const final;

  void controllWrite(GBPtr ptr, GBByte data) final;

private:
  // bit 0 - 8: Rom number
  // bit 9: ram enable bit
  // bit 12 - 15: ram number
  uint16_t m_reg;
};