#pragma once
#include "MemBC.hpp"

class MemBC1 : public MemBC
{
public:
  MemBC1() : m_reg(1), m_romMode(true) {}

  int romNumber() const final;
  int ramNumber() const final;

  void controllWrite(GBPtr ptr, GBByte data) final;

private:
  uint8_t m_reg;
  bool m_romMode;
};