#include "CartRidgeTest.hpp"

#include "../hardware/CartRidge.hpp"

#include "../libs/InOutAlgo.hpp"

#include <iostream>

using namespace std;
using namespace ioa;

TestResult CartRidgeTest::test()
{
  TestResult res;

  /*// ### Testing for MBC1 (just ROM)
  CartRidge cr1;
  cr1.m_mbc.mbcVersion = 1;
  bool passed = true;

  res.tests++;
  cout << "Testing CartRidge with MBC1... ";

  // enable RAM
  cr1.writeByteRom0(0x1000, 0x0A);
  ENSURE(((cr1.m_mbc.controlRegister & 0x80) == 0x80), passed);
  
  // change rom bank to 31
  cr1.writeByteRom0(0x3000, 0x1F);
  ENSURE(cr1.m_mbc.currentRomBankNumber() == 31, passed);

  // change rom bank to 0 (should correct to 1)
  cr1.writeByteRom0(0x3000, 0x00);
  ENSURE(cr1.m_mbc.currentRomBankNumber() == 1, passed);

  // changes upper bits of rom bank number 3 (should be 1100000 correct = 97)
  cr1.writeByteRomN(0x5000, 3);
  ENSURE(cr1.m_mbc.currentRomBankNumber() == 97, passed);

  // change mode to ram
  cr1.writeByteRomN(0x7000, 1);
  ENSURE(cr1.m_mbc.romModeEnabled == false, passed);
  ENSURE(cr1.m_mbc.currentRomBankNumber() == 1, passed);
  ENSURE(cr1.m_mbc.currentRamBankNumber() == 3, passed);

  // changes upper bits of rom bank number 1
  cr1.writeByteRomN(0x5000, 1);
  ENSURE(cr1.m_mbc.currentRomBankNumber() == 1, passed);
  ENSURE(cr1.m_mbc.currentRamBankNumber() == 1, passed);

  if(passed)
  {
    res.passed++;
    cout << FG_GREEN << "OK" << C_RESET_FG << endl;
  }
  else
    cout << endl;


  // ### Testing for MBC3 
  CartRidge cr3;
  cr1.m_mbc.mbcVersion = 3;
  passed = true;

  res.tests++;
  cout << "Testing CartRidge with MBC3... ";

  // enable RAM
  cr1.writeByteRom0(0x1000, 0x0A);
  ENSURE(((cr1.m_mbc.controlRegister & 0x80) == 0x80), passed);
  
  // change rom bank to 127
  cr1.writeByteRom0(0x3000, 0x7F);
  ENSURE(cr1.m_mbc.currentRomBankNumber() == 127, passed);

  // change rom bank to 0 (should correct to 1)
  cr1.writeByteRom0(0x3000, 0x00);
  ENSURE(cr1.m_mbc.currentRomBankNumber() == 1, passed);

  // change rom bank to 0x40 (should NOT be corrected!)
  cr1.writeByteRom0(0x3000, 0x40);
  ENSURE(cr1.m_mbc.currentRomBankNumber() == 0x40, passed);

  // changes ram bank number to 3
  cr1.writeByteRomN(0x5000, 3);
  ENSURE(cr1.m_mbc.currentRomBankNumber() == 0x40, passed);
  ENSURE(cr1.m_mbc.currentRamBankNumber() == 3, passed);


  if(passed)
  {
    res.passed++;
    cout << FG_GREEN << "OK" << C_RESET_FG << endl;
  }
  else
    cout << endl;



  */
  return res;
}